package com.bonus.canteen.core.allocation.canteen.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.allocation.canteen.dto.AllocKindDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocKindUpdateDTO;
import com.bonus.canteen.core.allocation.canteen.model.AllocKind;
import com.bonus.canteen.core.allocation.canteen.param.AllocOtherPageParam;
import com.bonus.canteen.core.allocation.canteen.vo.AllocKindVO;

import java.util.List;

public interface AllocKindService extends IService<AllocKind> {
   Page<AllocKindVO> pageKind(AllocOtherPageParam param);

   List<AllocKind> listKindName();

   List<AllocKind> listKindNameImg();

   void addKind(AllocKindDTO kindDTO);

   void saveStallKind(List<String> kindNameList, Long stallId);

   void modifyKind(AllocKindUpdateDTO kindDTO);

   void removeKind(String kindName);

   void removeStallKind(Long stallId);
}
